'use strict';

module.exports = {
	// See https://www.npmjs.com/package/npm-package-json-lint-config-default
	extends: 'npm-package-json-lint-config-default',
	rules: {
		'description-format': ['error', { requireCapitalFirstLetter: true, requireEndingPeriod: true }],
		'no-duplicate-properties': 'error',
		'no-file-dependencies': 'error',
		'no-file-devDependencies': 'error',
		'no-git-dependencies': 'error',
		'no-git-devDependencies': 'error',
		'prefer-alphabetical-dependencies': 'error',
		'prefer-alphabetical-devDependencies': 'error',
		'prefer-alphabetical-peerDependencies': 'error',
		'prefer-alphabetical-scripts': 'error',
		'prefer-no-engineStrict': 'error',
		'prefer-property-order': [
			'error',
			[
				'name',
				'private',
				'version',
				'description',
				'keywords',
				'homepage',
				'repository',
				'funding',
				'bugs',
				'license',
				'author',
				'main',
				'bin',
				'files',
				'directories',
				'type',
				'module',
				'publishConfig',
				'engines',
				// VS Code
				'publisher',
				'displayName',
				'qna',
				'galleryBanner',
				'icon',
				'categories',
				'activationEvents',
				'contributes',
				'commands',
				'jsonValidation',
				'languages',
				'snippets',
				// Repo
				'eslintConfig',
				'jest',
				'husky',
				'lint-staged',
				'npmpackagejsonlint',
				'prettier',
				'remarkConfig',
				'dependencies',
				'devDependencies',
				'peerDependencies',
				'scripts',
			],
		],
		'require-author': 'error',
		'require-bugs': 'error',
		'require-description': 'error',
		'require-engines': 'error',
		'require-homepage': 'error',
		'require-keywords': 'error',
		'require-license': 'error',
		'require-main': 'error',
		'require-name': 'error',
		'require-repository': 'error',
		'require-scripts': 'error',
		'require-version': 'error',
		'valid-values-author': ['error', ['stylelint']],
		'valid-values-license': ['error', ['MIT']],
		'valid-values-publishConfig': ['error', [{ access: 'public' }]],
	},
};
